# Enum Object REST API

For the [OpenAPI Specification](https://swagger.io/specification/) document use this link:\
<https://apis.objectsgrid.com/enums/contract>

## List Enums IDs

> This operation lists the Enums IDs (names)<br>

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/enums":{"get":{"summary":"List Enums IDs","operationId":"list","description":"This operation lists the Enums IDs (names)\n","parameters":[{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully listed the service accounts","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests - rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /enums

> Create an Enum

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"AnyEnum":{"oneOf":[{"$ref":"#/components/schemas/EnumBoolean"},{"$ref":"#/components/schemas/EnumDateTime"},{"$ref":"#/components/schemas/EnumFloat"},{"$ref":"#/components/schemas/EnumInteger"},{"$ref":"#/components/schemas/EnumString"},{"$ref":"#/components/schemas/EnumStringLocalized"}],"discriminator":{"propertyName":"type"}},"EnumBoolean":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumBooleanValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"EnumDateTime":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumDateTypeValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]},"EnumFloat":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumFloatValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]},"EnumInteger":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumIntegerValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]},"EnumString":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]},"EnumStringLocalized":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringLocalizedValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/enums":{"post":{"summary":"Create an Enum","operationId":"create","parameters":[{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnyEnum"}}}},"responses":{"201":{"description":"Successfully created the service account","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnyEnum"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict, the service account already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests - rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /enums/{id}

> Retrieve an Enum

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"AnyEnum":{"oneOf":[{"$ref":"#/components/schemas/EnumBoolean"},{"$ref":"#/components/schemas/EnumDateTime"},{"$ref":"#/components/schemas/EnumFloat"},{"$ref":"#/components/schemas/EnumInteger"},{"$ref":"#/components/schemas/EnumString"},{"$ref":"#/components/schemas/EnumStringLocalized"}],"discriminator":{"propertyName":"type"}},"EnumBoolean":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumBooleanValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"EnumDateTime":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumDateTypeValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]},"EnumFloat":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumFloatValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]},"EnumInteger":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumIntegerValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]},"EnumString":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]},"EnumStringLocalized":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringLocalizedValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/enums/{id}":{"get":{"summary":"Retrieve an Enum","operationId":"retrieve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the Enum to retrieve"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully retrieved the service account","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnyEnum"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /enums/{id}

> Update an Enum

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"AnyEnum":{"oneOf":[{"$ref":"#/components/schemas/EnumBoolean"},{"$ref":"#/components/schemas/EnumDateTime"},{"$ref":"#/components/schemas/EnumFloat"},{"$ref":"#/components/schemas/EnumInteger"},{"$ref":"#/components/schemas/EnumString"},{"$ref":"#/components/schemas/EnumStringLocalized"}],"discriminator":{"propertyName":"type"}},"EnumBoolean":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumBooleanValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"EnumDateTime":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumDateTypeValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]},"EnumFloat":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumFloatValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]},"EnumInteger":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumIntegerValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]},"EnumString":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]},"EnumStringLocalized":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringLocalizedValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/enums/{id}":{"put":{"summary":"Update an Enum","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the Enum to update"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnyEnum"}}}},"responses":{"200":{"description":"Successfully updated object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnyEnum"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Delete an Enum

> Deletes an Enum

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/enums/{id}":{"delete":{"summary":"Delete an Enum","operationId":"delete","description":"Deletes an Enum","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the Enum to delete"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully deleted the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## The AnyEnum object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"AnyEnum":{"oneOf":[{"$ref":"#/components/schemas/EnumBoolean"},{"$ref":"#/components/schemas/EnumDateTime"},{"$ref":"#/components/schemas/EnumFloat"},{"$ref":"#/components/schemas/EnumInteger"},{"$ref":"#/components/schemas/EnumString"},{"$ref":"#/components/schemas/EnumStringLocalized"}],"discriminator":{"propertyName":"type"}},"EnumBoolean":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumBooleanValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"EnumDateTime":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumDateTypeValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]},"EnumFloat":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumFloatValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]},"EnumInteger":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumIntegerValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]},"EnumString":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]},"EnumStringLocalized":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringLocalizedValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The EnumBoolean object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumBoolean":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumBooleanValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumBooleanValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumBooleanValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"boolean"},"order":{"type":"integer"}},"required":["key","val"]}}}}
```

## The EnumDateTime object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumDateTime":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumDateTypeValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumDateTypeValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumDateTypeValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string","format":"date-time"},"order":{"type":"integer"}},"required":["key","val"]}}}}
```

## The EnumFloat object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumFloat":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumFloatValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumFloatValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumFloatValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"number"},"order":{"type":"integer"}},"required":["key","val"]}}}}
```

## The EnumInteger object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumInteger":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumIntegerValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumIntegerValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumIntegerValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"integer"},"order":{"type":"integer"}},"required":["key","val"]}}}}
```

## The EnumString object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumString":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumStringValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumStringValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"string"},"order":{"type":"integer"}},"required":["key","val"]}}}}
```

## The EnumStringLocalized object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumStringLocalized":{"type":"object","properties":{"id":{"type":"string","description":"The Enum's ID (name)"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/EnumStringLocalizedValue"}},"disabled":{"type":"boolean","description":"true indicates the Enum is disabled"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"type":"object","$ref":"#/components/schemas/Meta"}},"required":["id","values"]},"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The EnumStringLocalizedValue object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"EnumStringLocalizedValue":{"type":"object","properties":{"key":{"type":"string"},"val":{"type":"array","items":{"$ref":"#/components/schemas/LocalizedString"}},"order":{"type":"integer"}},"required":["key","val"]},"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The LocalizedString object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"LocalizedString":{"type":"object","properties":{"language":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The Tag object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}}}}}
```

## The Meta object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Enums REST API","version":"v1"},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}}}
```
